> For the complete documentation index, see [llms.txt](https://apidocs.api19.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.api19.com/call-apis/recordings/get-list-of-recordings.md).

# Get List of Recordings

HTTP GET or POST. The query string parameters allow you to limit the list returned. Note: parameters are case-sensitive

## Request Parameters

None of the request parameters are required.

<table><thead><tr><th width="131.33333333333331">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><strong>Page</strong></td><td>The current page number. Zero-indexed, so the first page is 0.<br>0-20000</td></tr><tr><td><strong>PageSize</strong></td><td>How many items are on each page<br>0-2000</td></tr><tr><td><strong>StartTime</strong></td><td>Only show recordings that were made on this date/time or later<br><br>EndTime value examples allowed:<br>2024-04-01T10:10:10<br>2024-04-01 10:10:10<br>2024-04-01</td></tr><tr><td><strong>EndTime</strong></td><td>Only show recordings that were made on this date/time or earlier<br><br>EndTime value examples allowed:<br>2024-04-01T10:10:10<br>2024-04-01 10:10:10<br>2024-04-01</td></tr><tr><td><strong>CallSid</strong></td><td>Only show recordings that have been started from this CallSid<br>Value: CallSid=h923fh2h32fj23f2</td></tr><tr><td><strong>SortBy</strong></td><td>Sort by the date created instead of the most recent on top<br>Value: DateCreated <strong>or</strong> DateAsc</td></tr></tbody></table>

## Filter using the CallSid parameter.

The following example will only return Recordings that have been started from the given CallSid

{% tabs %}
{% tab title="CURL" %}

```perl
curl -X POST https://v1.api19.com/call/2012-04-24/Accounts/Call_API_Token/Recordings.json
   -d 'CallSid=CAfe9ce46f104f5beeb10c83a5dad2be66' \
   -d 'StartTime=2024-04-02 00:00:00'
   -d 'EndTime=2024-04-02 10:00:00'
   -d 'SortBy=DateCreated'
   -u 'API_Token:account_sid'
```

{% endtab %}
{% endtabs %}

The result will be similar to the one below

```javascript
{"page":0,"num_pages":0,"page_size":50,"total":17,"start":"0","end":"17","uri":"/call/2012-04-24/Accounts/ACae6e420f425248d6a26948c17a9e2acf/Recordings.json","first_page_uri":"/call/2012-04-24/Accounts/ACae6e420f425248d6a26948c17a9e2acf/Recordings.json?Page=0&PageSize=50","previous_page_uri":"null","next_page_uri":"null","last_page_uri":"/call/2012-04-24/Accounts/ACae6e420f425248d6a26948c17a9e2acf/Recordings.json?Page=0&PageSize=50","recordings":
    [
        {
            "sid":"RFXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
            "date_created":"Mon, 6 Jan 2024 08:51:07 +0900",
            "date_updated":"Mon, 6 Jan 2024 08:51:07 +0900",
            "date_standard":"2024-01-06 08:51:07",
            "account_sid":"ACXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
            "call_sid":"CAXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
            "duration":"14.70275",
            "api_version":"2012-04-24",
            "uri":"/2012-04-24/Accounts/ACae6e420f425248d6a26948c17a9e2acf/Recordings/RE50675909d9c94acda36f0e119b6cb431.json",
            "file_uri":"https://v1.api19.com/call/recordings/RE50675909d9c94acda36f0e119b6cb431.wav"
        },
        ...
    ]
}
```
